# Variable scheduler

scheduler: {
getDailyTriggersDueNow: (tickSeconds: number) => Trigger[];
getWeeklyTriggersDueNow: (tickSeconds: number) => Trigger[];
runScheduler: (opts?: any) => Promise<void>;
}

#### Type Declaration

- ##### getDailyTriggersDueNow: (tickSeconds: number) => Trigger[]

- ##### getWeeklyTriggersDueNow: (tickSeconds: number) => Trigger[]

- ##### runScheduler: (opts?: any) => Promise<void>

- Defined in packages/saltcorn-data/models/scheduler.ts:354